#ifndef TSHMSPmtSD_h
#define TSHMSPmtSD_h 1

#include "TSHMSAnalysisManager.hh"
#include "TSHMSPmtHit.hh"
#include "G4VSensitiveDetector.hh"
#include "G4TouchableHistory.hh"
#include "G4Navigator.hh"

//#include "TSHMSPmtHit.hh"

class G4Step;
class G4HCofThisEvent;
class G4TouchableHistory;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class TSHMSPmtSD : public G4VSensitiveDetector
{
public:
  TSHMSPmtSD(G4String);
  ~TSHMSPmtSD();
  
  void     Initialize(G4HCofThisEvent*);
  G4bool   ProcessHits(G4Step*,G4TouchableHistory*);
  void     EndOfEvent(G4HCofThisEvent* );
  TSHMSAnalysisManager* analysisManager;

private:
  TSHMSPmtHitCollection *hitsCollection;
  G4int HCID;

  G4double nHits;
  G4double fADC_pmt1;
  G4double fADC_pmt2;


  //      TSHMSPmtHitsCollection* trackerCollection;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif
