#ifndef TSHMSSteppingAction_h
#define TSHMSSteppingAction_h

#include "G4UserSteppingAction.hh"
#include "G4SteppingManager.hh"
#include "TSHMSAnalysisManager.hh"

//--------------------------------------------------------------------------------
class TSHMSSteppingAction : public G4UserSteppingAction
{
public:
  TSHMSSteppingAction();
  ~TSHMSSteppingAction(){};
  
  void UserSteppingAction(const G4Step*);
  void printTrack(G4Track*, G4int, G4int , G4int);
  void printHit(const G4Step*);
  G4bool pmtHit(G4Track*);
  void endOfEvent();

  int counter;

  TSHMSAnalysisManager* analysis;
};

//--------------------------------------------------------------------------------

#endif
