#ifndef TSHMSEventAction_h
#define TSHMSEventAction_h 1

#include "G4UserEventAction.hh"
#include "TSHMSSteppingAction.hh"

class G4Event;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class TSHMSEventAction : public G4UserEventAction
{
public:
  TSHMSEventAction();
  TSHMSEventAction( TSHMSSteppingAction *);
  ~TSHMSEventAction();
  
public:
  void BeginOfEventAction(const G4Event*);
  void EndOfEventAction(const G4Event*);

private:
  TSHMSSteppingAction* StepAction;
  G4int PHCID;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

   
